Package org.apache.cayenne.access.jdbc

## Class SelectAction

- java.lang.Object
- - org.apache.cayenne.access.jdbc.BaseSQLAction
  - - org.apache.cayenne.access.jdbc.SelectAction

- All Implemented Interfaces:
    `SQLAction`
  Direct Known Subclasses:
    `DB2SelectAction`, `DerbySelectAction`, `FirebirdSelectAction`, `H2SelectAction`, `IngresSelectAction`, `SQLiteSelectAction`, `SQLServerSelectAction`

      public class SelectAction
      extends BaseSQLAction

  A SQLAction that handles SelectQuery execution.
  Since:
    1.2

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Select<?>` | `query` |
    `protected QueryMetadata` | `queryMetadata` |

    - ### Fields inherited from class org.apache.cayenne.access.jdbc.BaseSQLAction

      `dataNode`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SelectAction​(Select<?> query, DataNode dataNode)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `performAction​(Connection connection, OperationObserver observer)` | Executes a query using a strategy defined by the implementation.

    - ### Methods inherited from class org.apache.cayenne.access.jdbc.BaseSQLAction

      `getInMemoryOffset, readResultSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### query

          protected Select<?> query

    - #### queryMetadata

          protected QueryMetadata queryMetadata

  - ### Constructor Detail

    - #### SelectAction

          public SelectAction​(Select<?> query,
                              DataNode dataNode)

      Since:
        4.0

  - ### Method Detail

    - #### performAction

          public void performAction​(Connection connection,
                                    OperationObserver observer)
                             throws Exception

      Description copied from interface: `SQLAction`
      Executes a query using a strategy defined by the implementation.
      Throws:
        `Exception`